9. R5Rs -- Concepts

Browsing
Home: | R5Rs Scheme Revised(5) Report on the Algorithmic Language Scheme
Previous chapter: | Formal syntax and semantics
Next chapter: | Variables and Procedures
Chapters
| Summary
| Introduction
1. | Table of contents
2. | Overview of Scheme
3. | Lexical conventions
4. | Basic concepts
5. | Expressions
6. | Program structure
7. | Standard procedures
8. | Formal syntax and semantics
9. | Concepts
10. | Variables and Procedures
| Notes
| Additional material
| Example
| Bibliography
| !, #, ', +, ,, -, ., ;, =, ?, W, `, a, b, c, d, e, f, h, i, k, l, m, n, o, p, q, r, s, t, u, v, w, z !
    !
#
    #b
       ...#b
    #d
    #e
       ...#e
       ...#e
    #f
    #i
       ...#i
    #l
    #o
       ...#o
    #t
    #x
       ...#x
'
    '
       ...'
+
    +
,
    ,
       ...,
    ,@
-
    -
    ->
.
    ...
       ......
;
    ;
=
    =
    =>
       ...=>
?
    ?
W
    Whitespace
`
    `
a
    abs
    apply
b
    backquote
    begin
       ...begin
    binding
    binding construct
    boolean?
    bound
c
    call
    call by need
    call-with-current-continuation
       ...call-with-current-continuation
    call-with-values
       ...call-with-values
    call/cc
    catch
    char<=?
    char?
    combination
    comma
    comment
       ...comment
    complex?
       ...complex?
    cond
    constant
    continuation
d
    define
       ...define
    define-syntax
    definition
    delay
    do
    dotted pair
    dynamic-wind
e
    else
       ...else
    empty list
       ...empty list
       ...empty list
       ...empty list
       ...empty list
       ...empty list
       ...empty list
    eq?
    equivalence predicate
    eqv?
       ...eqv?
    error
    escape procedure
    eval
       ...eval
    exact
    exactness
f
    false
       ...false
       ...false
    force
h
    hygienic
i
    identifier
       ...identifier
       ...identifier
       ...identifier
    immutable
    implementation restriction
       ...implementation restriction
    improper list
    inexact
    inexact->exact
    initial environment
    integer (long integer notation)
    integer?
    internal definition
k
    keyword
       ...keyword
       ...keyword
l
    lambda
    lazy evaluation
    length
    let
       ...let
       ...let
    let*
    let-syntax
    letrec
    letrec-syntax
    library
    library procedure
    location
m
    macro
    macro keyword
    macro transformer
    macro use
    mutable
n
    nil
    number
    number?
       ...number?
       ...number?
    numerical types
o
    object
    optional
p
    pair
    pair?
    port
    port?
    predicate
    procedure call
    procedure?
    promise
       ...promise
    proper tail recursion
q
    quasiquote
       ...quasiquote
    quote
r
    rational?
       ...rational?
    read
       ...read
    real?
       ...real?
    referentially transparent
    region
       ...region
       ...region
       ...region
       ...region
       ...region
       ...region
s
    set-cdr!
    simplest rational
    string-length
    string-set!
    string?
    symbol->string
    symbol?
    syntactic keyword
       ...syntactic keyword
       ...syntactic keyword
       ...syntactic keyword
    syntax definition
    syntax-rules
t
    tail call
    token
    top level environment
       ...top level environment
    true
       ...true
       ...true
       ...true
    type
u
    unbound
       ...unbound
       ...unbound
    unquote
       ...unquote
    unquote-splicing
       ...unquote-splicing
    unspecified
v
    valid indexes
       ...valid indexes
    values
    variable
       ...variable
       ...variable
       ...variable
    vector-length
    vector?
w
    write
z
    zero?

This Scribe page has been generated by `scribeinfo`.
Last update Tue Dec 16 13:46:41 2003